basil-cookie
==============

basil-cookie is a cookie library for [connect](http://senchalabs.github.com/connect).

## Installation

    npm install basil-cookie


## Running Tests

Install `vows`:

    npm install vows

Then:

    vows tests/*-test.js --spec

Alternatively, if you have `make` installed:

    make test


## Usage

```javascript
var express = require('express')
  , cookieManager = require('basil-cookie').cookieManager;

var server = express.createServer(
    express.logger()
  , express.bodyParser()
  , cookieManager()
);

server.get('/', function(req, res) {
  var views = (req.cookies.views || 0) + 1;
  res.cookies.set('views', views);
  res.send("Views " + views);
});

server.listen(3000);
```

Note: `cookieManager` is incompatible with `express.cookieParser`.


## License

    Copyright 2011 Michael Phan-Ba

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
